complexType "FxCashSettlement"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 4 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | settlementCurrency?, referenceCurrency?, notionalAmount?, settlementDate?
</...>

Content Model Elements (4):

  notionalAmount (defined in FxCashSettlement complexType),
  referenceCurrency,
  settlementCurrency (defined in FxCashSettlement complexType),
  settlementDate (defined in FxCashSettlement complexType)

All Direct / Indirect Based Elements (2):

  cashSettlement (in fxOption), | nonDeliverableSettlement

Known Usage Locations

- As direct type of elements (2):

  cashSettlement (in fxOption), | nonDeliverableSettlement

Annotation
A type that is used for describing cash settlement of an option / non deliverable forward. It includes the currency to settle into together with the fixings required to calculate the currency amount.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="FxCashSettlement"> <xsd:sequence> <xsd:element minOccurs="0" name="settlementCurrency" type="Currency"/> <xsd:element minOccurs="0" name="referenceCurrency" type="Currency"/> <xsd:element minOccurs="0" name="notionalAmount" type="PositiveMoney"/> <!--View Generation: Skipped an empty choice.--> <xsd:element minOccurs="0" name="settlementDate" type="AdjustableDate"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
notionalAmount

  Type: | PositiveMoney, complex content

  The amount of money that the settlement will be derived from.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalAmount" type="PositiveMoney"/>

referenceCurrency

  Type: | Currency, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="referenceCurrency" type="Currency"/>

settlementCurrency

  Type: | Currency, simple content

  The currency in which cash settlement occurs for non-deliverable forwards and cash-settled options (non-deliverable or otherwise).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementCurrency" type="Currency"/>

settlementDate

  Type: | AdjustableDate, complex content

  The date on which settlement is scheduled to occur
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementDate" type="AdjustableDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.